Main Page Class Hierarchy Compound List File List Compound Members Related Pages

# sc::PumaThreadGrp Class Reference

The PumaThreadGrp class privides a concrete thread group appropriate for the intel teraflops machine. More...

`#include <thpuma.h>`

Inheritance diagram for sc::PumaThreadGrp:

[legend]
Collaboration diagram for sc::PumaThreadGrp:

[legend]
List of all members.

## Public Methods
| PumaThreadGrp ()
| PumaThreadGrp (const Ref< KeyVal > &)
| ~PumaThreadGrp ()
int | start_threads ()
| Starts the threads running. More...
int | wait_threads ()
| Wait for all the threads to complete. More...
Ref< ThreadLock > | new_lock ()
| Return a local object.

## Detailed Description

The PumaThreadGrp class privides a concrete thread group appropriate for the intel teraflops machine.

## Member Function Documentation

int sc::PumaThreadGrp::start_threads | ( |  | ) | `[virtual]`

| Starts the threads running. Thread 0 will be run by the thread that calls start_threads. Implements sc::ThreadGrp.

int sc::PumaThreadGrp::wait_threads | ( |  | ) | `[virtual]`

| Wait for all the threads to complete. This must be called before start_threads is called again or the object is destroyed. Implements sc::ThreadGrp.

The documentation for this class was generated from the following file:

- thpuma.h